/**
 * @file
 * Attaches the behaviors for the SN QUICK Add field data module.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';
  Drupal.behaviors.quick_data = {
    attach: function (context, settings) {
      if (settings.quick_data.entity_type != "data") {
        $(".widget-type-select option:selected").parent().siblings().hide();
        $(".field-type-select").on('change', function () {
          var type_label = $(this).val();
          $(this).closest("tr").find(".widget-type-select").
          find("optgroup, option").hide().
          filter("[label='" + type_label + "'], [label='" + type_label + "'] > *").show().
          find("option:first").attr("selected", "selected");
        });
      }
      $(".admin-link a").click(function (event) {
        event.preventDefault();
        $(this).closest("td").find("input").prop("type", "text");
        $(this).closest("small").remove();
      });
    }
  };

})(jQuery, Drupal);
